Get the company list
curl --request GET \
--url https://intentleads.si/api/v1/company-list \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/company-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/company-list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"company_list": {
"companies": 1830,
"domains": 1800,
"linkedin_pages": 30,
"dropped_invalid": 12,
"duplicates_merged": 4,
"source": "Q4 target accounts",
"uploaded_at": "2026-10-12T15:04:22.731904+00:00"
}
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}Get the company list
Your organization’s company list. There’s one list, shared by every lane; each lane’s company_list_mode decides how it’s used (narrow, replace or off). company_list is null when nothing was uploaded. The entries themselves aren’t returned.
Free. This doesn’t use any contacts from your plan.
GET
/
api
/
v1
/
company-list
Get the company list
curl --request GET \
--url https://intentleads.si/api/v1/company-list \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/company-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/company-list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"company_list": {
"companies": 1830,
"domains": 1800,
"linkedin_pages": 30,
"dropped_invalid": 12,
"duplicates_merged": 4,
"source": "Q4 target accounts",
"uploaded_at": "2026-10-12T15:04:22.731904+00:00"
}
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}